Page MenuHomePhabricator

[OpenMP][libomptarget] Suppress C++ 11 related warnings when building libomptarget-nvptx bitcode library
ClosedPublic

Authored by gtbercea on Dec 17 2018, 8:39 AM.

Diff Detail

Repository
rOMP OpenMP

Event Timeline

gtbercea created this revision.Dec 17 2018, 8:39 AM
This revision is now accepted and ready to land.Dec 17 2018, 8:40 AM

Hi Doru, I think this patch is not yet in trunk? Additionally I'm seeing the same warnings when compiling with nvcc which doesn't seem addressed here. Should we pass -std=c++11 when compiling the CUDA code as well?

Herald added a project: Restricted Project. · View Herald TranscriptMar 12 2019, 4:21 AM
Herald added a subscriber: jdoerfert. · View Herald Transcript

Doru, do you plan to commit this?

Hahnfeld accepted this revision.Jul 11 2019, 11:09 AM

@gtbercea Could you please commit this patch? The warnings are incredibly annoying.

This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 18 2019, 6:53 AM